X2Go Bug report logs - #261
x2go crashing when keyboard is used

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Thomas Johnson <thomas@outdoorsnewzealand.co.nz>

Date: Sun, 7 Jul 2013 23:03:01 UTC

Severity: normal

Found in version 4.0.1.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.502 (Entity 5.502)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
To: Thomas Johnson <thomas@outdoorsnewzealand.co.nz>
Subject: Bug#261 closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 (Re: [X2Go-Dev] Bug#261: Working on 12.04)
Message-ID: <handler.261.D261.137414018712165.notifdone@bugs.x2go.org>
References: <20130718113625.18605og81xk4s74p@mail.das-netzwerkteam.de>
 <CANvAdgPyevJgTm8jy_MZeZEX6ux4i6+0=CKED9btTXuS9SaJDw@mail.gmail.com>
X-X2go-PR-Message: they-closed 261
X-X2go-PR-Package: x2goserver
Reply-To: 261@bugs.x2go.org
Date: Thu, 18 Jul 2013 09:48:03 +0000
Content-Type: multipart/mixed; boundary="----------=_1374140883-15041-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#261: x2go crashing when keyboard is used

It has been closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <mike.gabriel@das-netzwerkteam.de> by
replying to this email.


-- 
261: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=261
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: tjohnson@lic.co.nz
Cc: 261-done@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#261: Working on 12.04
Date: Thu, 18 Jul 2013 11:36:25 +0200
[Message part 3 (text/plain, inline)]
Hi Tom,

On Fr 12 Jul 2013 03:19:34 CEST  wrote:

> I have been able to get around the issue with keyboard lockups by running
> the server on ubuntu 12.04 instead of 10.04. Most likely an issue with the
> particular install of 10.04 so I'm happy to close this bug.

Closing this issue as the submitter requested closure.(And: I have  
never observed such a behaviour myself on Ubuntu 10.04).

> loving x2go

:-D

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 4 (application/pgp-signature, inline)]
[Message part 5 (message/rfc822, inline)]
From: Thomas Johnson <thomas@outdoorsnewzealand.co.nz>
To: submit@bugs.x2go.org
Subject: x2go crashing when keyboard is used
Date: Mon, 8 Jul 2013 11:02:35 +1200
[Message part 6 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.3

Connecting from Windows7 client to ubuntu 10.04 server. Connection is
successful and works nice and fast as long as I only use the mouse. As soon
as I press a key the window freezes. Most likely a problem with the way
I've set it up, any ideas? Here is some more info about the setup/problem.

GUI keyboard layout: us
GUI keyboard model: pc105/us

I have also tried no keyboard layout and setting model to auto (read this
in the wiki somewhere)

Using X2Go windows 7 client V. 4.0.0.3.

Also tried pyhoca 0.4.0.2

Have tried two different client machines.



*~/.x2go/C-thjoh0-85-1373237162_stRTERMINAL_dp32$ cat clients*
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Error:            Can't find file "null" for symbols include
>                   Exiting
>                   Abandoning symbols file "default"
Errors from xkbcomp are not fatal to the X server

kbtype in options file is kbtype=null/null

*output in /var/log/syslog*
ul  8 10:56:23 testhost /usr/bin/x2golistsessions[17091]: x2golistsessions
has been called with no option
Jul  8 10:56:24 testhost /usr/bin/x2gostartagent: x2gostartagent called
with options: 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us pc105/us 0 R
TERMINAL
Jul  8 10:56:24 testhost /usr/bin/x2gostartagent: client announced itself
as ,,10.10.77.185''
Jul  8 10:56:24 testhost /usr/bin/x2gosessionlimit[17140]: x2gosessionlimit
has been called
Jul  8 10:56:24 testhost /usr/bin/x2golistsessions[17143]: x2golistsessions
has been called with options: --all-servers
Jul  8 10:56:25 testhost /usr/lib/x2go/x2gogetdisplays[17189]:
db_getdisplays called, server: testhost; return value:
Jul  8 10:56:25 testhost /usr/lib/x2go/x2gogetports[17200]: db_getports
called, server: testhost; return value:
Jul  8 10:56:25 testhost /usr/lib/x2go/x2goinsertsession[17341]:
db_insertsession called, session ID:
testuser-86-1373237785_stRTERMINAL_dp32, server: testhost, session ID:
testuser-86-1373237785_stRTERMINAL_dp32
Jul  8 10:56:26 testhost /usr/lib/x2go/x2goinsertport[17355]: db_insertport
called, session ID: testuser-86-1373237785_stRTERMINAL_dp32, server:
testhost, SSH port: 30001
Jul  8 10:56:26 testhost /usr/lib/x2go/x2goinsertport[17395]: db_insertport
called, session ID: testuser-86-1373237785_stRTERMINAL_dp32, server:
testhost, SSH port: 30002
Jul  8 10:56:26 testhost /usr/lib/x2go/x2goinsertport[17412]: db_insertport
called, session ID: testuser-86-1373237785_stRTERMINAL_dp32, server:
testhost, SSH port: 30003
Jul  8 10:56:26 testhost /usr/bin/x2gofeature: x2gofeature called with
options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:26 testhost
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:26 testhost /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
testuser-86-1373237785_stRTERMINAL_dp32 pre-start
Jul  8 10:56:26 testhost /usr/bin/x2gostartagent: successfully started X2Go
agent session with ID testuser-86-1373237785_stRTERMINAL_dp32
Jul  8 10:56:26 testhost /usr/bin/x2gofeature: x2gofeature called with
options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:26 testhost
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:26 testhost /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
testuser-86-1373237785_stRTERMINAL_dp32 post-start
Jul  8 10:56:27 testhost /usr/lib/x2go/x2gocreatesession[17492]:
db_createsession called, session ID:
testuser-86-1373237785_stRTERMINAL_dp32, cookie:
4f8e1e69b811a014e2599da524bdb118, client: 10.10.77.185, pid: 17459,
graphics port: 30001, sound port: 30002, file sharing port: 30003
Jul  8 10:56:27 testhost /usr/bin/x2gostartagent: blocking creation of
agent's keyboard file
/home/testuser/.x2go/C-testuser-86-1373237785_stRTERMINAL_dp32/keyboard as
requested by session startup command
Jul  8 10:56:28 testhost /usr/bin/x2goruncommand: x2goruncommand called
with options: 86 17459 testuser-86-1373237785_stRTERMINAL_dp32 30002
TERMINAL nosnd R
Jul  8 10:56:28 testhost /usr/bin/x2goruncommand: exporting
LD_LIBRARY_PATH=/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
Jul  8 10:56:28 testhost /usr/bin/x2gofeature: x2gofeature called with
options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:28 testhost
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Jul  8 10:56:28 testhost /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
testuser-86-1373237785_stRTERMINAL_dp32 pre-runcommand
Jul  8 10:56:28 testhost /usr/bin/x2goruncommand: running command
/usr/bin/konsole
Jul  8 10:56:28 testhost /usr/bin/x2gosetkeyboard: x2gosetkeyboard called
with options:
Jul  8 10:56:28 testhost /usr/bin/x2gofeature: x2gofeature called with
options: X2GO_XSESSION
Jul  8 10:56:28 testhost /usr/bin/x2gosetkeyboard:
/home/testuser/.x2go/C-testuser-86-1373237785_stRTERMINAL_dp32/keyboard is
blocked, not setting keyboard parameters from client-side settings
Jul  8 10:56:29 testhost
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_XSESSION
Jul  8 10:56:29 testhost /usr/share/x2go/x2gofeature.d/x2goserver.features:
x2goserver.features called with options: X2GO_XSESSION
Jul  8 10:56:29 testhost
/usr/share/x2go/x2gofeature.d/x2goserver-xsession.features:
x2goserver-xsession.features called with options: X2GO_XSESSION
Jul  8 10:56:29 testhost /usr/bin/x2goruncommand: executing command
"/usr/bin/konsole"...
Jul  8 10:56:29 testhost /usr/bin/x2goruncommand: command /usr/bin/konsole
forked to background, waiting for agent to finish
Jul  8 10:56:29 testhost /usr/bin/x2gomountdirs[17897]: x2gomountdirs has
been called with options: dir testuser-86-1373237785_stRTERMINAL_dp32
sshuser /home/testuser/.x2go/ssh/key.em7224
/cygdrive/C/Users/testuser/X2GO~1/S-5FA8~1/spool__PRINT_SPOOL___REVERSESSH_PORT__30003
Jul  8 10:56:29 testhost /usr/bin/x2gomountdirs[17897]: mounting
/tmp/.x2go-testuser/spool/C-testuser-86-1373237785_stRTERMINAL_dp32, mount
point type is print spool directory
Jul  8 10:56:29 testhost /usr/bin/x2gomountdirs[17897]: db_insertmount
called, session ID: testuser-86-1373237785_stRTERMINAL_dp32, path:
/tmp/.x2go-testuser/spool/C-testuser-86-1373237785_stRTERMINAL_dp32,
client: 127.0.0.1; return value: 1
Jul  8 10:56:29 testhost /usr/bin/x2gomountdirs[17897]: executing: sshfs
 -o idmap=user,uid=`id -u`,gid=`id
-g`,ServerAliveInterval=300,Cipher=blowfish,IdentityFile=/home/testuser/.x2go/ssh/key.em7224,UserKnownHostsFile=/home/testuser/.x2go/ssh/key.em7224.ident
"sshuser"@127.0.0.1:"/cygdrive/C/Users/testuser/X2GO~1/S-5FA8~1/spool"
"/tmp/.x2go-testuser/spool/C-testuser-86-1373237785_stRTERMINAL_dp32" -p
30003
Jul  8 10:56:32 testhost /usr/bin/x2gomountdirs[17897]: successfully
mounted
sshuser@127.0.0.1:30003/cygdrive/C/Users/testuser/X2GO~1/S-5FA8~1/spool to
/tmp/.x2go-testuser/spool/C-testuser-86-1373237785_stRTERMINAL_dp32
Jul  8 10:57:00 testhost kernel: [14731845.848541] x2goagent[17459]:
segfault at 7ff600000000 ip 00007ff673cc3e80 sp 00007fffabf26518 error 4 in
libc-2.11.1.so[7ff673b9a000+17d000]
[Message part 7 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Feb 27 04:04:05 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.